// -*-C++-*-
/*!
 * @file  DuplicatorSVC_impl.cpp
 * @brief Service implementation code of Duplicator.idl
 *
 */

#include "DuplicatorSVC_impl.h"
#include <iostream>

#define SHORT 1
#define LONG 2
#define FLOAT 3
#define DOUBLE 4
#define BOOL 5
#define SHORTARRAY 10
#define LONGARRAY 20
#define FLOATARRAY 30
#define DOUBLEARRAY 40
#define BOOLARRAY 50

/*
 * Example implementational code for IDL interface duplicator
 */
duplicatorSVC_impl::duplicatorSVC_impl()
{
  // Please add extra constructor code here.
}


duplicatorSVC_impl::~duplicatorSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
extern bool svc_flag;
extern int svc_type;
extern int svc_num;

CORBA::Long duplicatorSVC_impl::SetStatus(CORBA::Long& datatype, CORBA::Long& outport_num)
{
  if(datatype!=SHORT && datatype!=LONG && datatype!=FLOAT && datatype!=DOUBLE && datatype!=BOOL &&
     datatype!=SHORTARRAY && datatype!=LONGARRAY && datatype!=FLOATARRAY && datatype!=DOUBLEARRAY && datatype!=BOOLARRAY){
    std::cout << "DataType ERROR." << std::endl;
    return -1;
  }
  if(1 > outport_num || outport_num > 10){
    std::cout << "OutPort_Num ERROR." << std::endl;
    return -1;
  }
  svc_flag = true;
  svc_type = (int)datatype;
  svc_num  = (int)outport_num;

  return 0;
}



// End of example implementational code



