// -*-C++-*-
/*!
 * @file  IntegratorSVC_impl.h
 * @brief Service implementation header of Integrator.idl
 *
 */

#include "IntegratorSkel.h"


#ifndef INTEGRATORSVC_IMPL_H
#define INTEGRATORSVC_IMPL_H
 
/*
 * Example class implementing IDL interface integrator
 */
class integratorSVC_impl
 : public virtual POA_integrator,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~integratorSVC_impl();

 public:
   // standard constructor
   integratorSVC_impl();
   virtual ~integratorSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype);

};



#endif // INTEGRATORSVC_IMPL_H


