// -*-C++-*-
/*!
 * @file  MultiplexerSVC_impl.h
 * @brief Service implementation header of Multiplexer.idl
 *
 */

#include "MultiplexerSkel.h"


#ifndef MULTIPLEXERSVC_IMPL_H
#define MULTIPLEXERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface multiplexer
 */
class multiplexerSVC_impl
 : public virtual POA_multiplexer,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~multiplexerSVC_impl();

 public:
   // standard constructor
   multiplexerSVC_impl();
   virtual ~multiplexerSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, CORBA::Long& inport_num);

};



#endif // MULTIPLEXERSVC_IMPL_H


